import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {GetOtherInParams, OriginalListParams} from '@models';

export const searchContext = createSearchContext();
export const pageContext = createPageContext();
export const contextState: OriginalListParams<GetOtherInParams> = {
  materialCode: '',
  materialName: '',
  startTime: '',
  endTime: '',
  companyNumber: '',
  wbs: '',
  noticeCode: '',
  type: '',
};
export const context = createTableSearchContext(contextState);
